corda / net.corda.node.driver / NodeHandle

# NodeHandle

`data class NodeHandle`

### Constructors

<init> | `NodeHandle(nodeInfo: NodeInfo, rpc: CordaRPCOps, configuration: FullNodeConfiguration, process: Process)`

### Properties

configuration | `val configuration: FullNodeConfiguration`
nodeInfo | `val nodeInfo: NodeInfo`
process | `val process: Process`
rpc | `val rpc: CordaRPCOps`

### Functions

rpcClientToNode | `fun rpcClientToNode(): CordaRPCClient`